Subject: Re: bug#51260: 29.0.50; smerge-mode: void-variable smerge

From: Manuel Uberti <[email-masked]>
Date: Mon, 18 Oct 2021 09:13:40 +0200

On 18/10/21 09:12, Lars Ingebrigtsen wrote:
> Manuel Uberti via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <[email-masked]> writes:
> 
>> - emacs -Q
>> - M-x toggle-debug-on-error
>> - M-x smerge-mode
>>
>> I now get:
>>
>> Debugger entered--Lisp error: (void-variable smerge)
>>    byte-code("\303\10\11\304\305\211\n\205\26\0\3061\24\0\307
>>    0\202\26\0\210\305&\6\207" [smerge smerge-begin-re diff-refine
>>    easy-mmode-define-navigation "conflict" nil (error) smerge-refine]
>>   7)
> 
> I'm unable to reproduce the problem on the current trunk.  Could it be a
> build issue?  Does the problem go away if you say "make bootstrap"?
> 

No, I actually did build using:

- ./configure --with-harfbuzz --with-native-compilation
- make bootstrap -j16

-- 
Manuel Uberti
www.manueluberti.eu